#include <iostream>

using namespace std;

string natpis;
int br_slova;
int konacno;

void rekurzija(int pozicija, int slovo)
{
    for (int i = pozicija; i >= 0; i--)
    {
        if (int(natpis[i]) == slovo - 1)
        {
            if (int(natpis[i]) == 65)
            {
                konacno++;
                if (konacno == 1000000007)
                {
                    konacno = 0;
                }
            }
            else rekurzija(i, int(natpis[i]));
        }
    }
}

int main()
{
    cin >> br_slova;
    cin >> natpis;
    konacno = 0;

    for (int i = br_slova - 1; i >= 0; i--)
    {
        if (int(natpis[i]) == 90)
        {
            rekurzija(i, 90);
        }
    }
    cout << konacno;
}